Package com.castlabs.android.player

## Class CastlabsBandwidthMeter.Builder

- java.lang.Object
- - com.castlabs.android.player.CastlabsBandwidthMeter.Builder

- Enclosing class:
    CastlabsBandwidthMeter

      public static final class CastlabsBandwidthMeter.Builder
      extends Object

  Builder for a bandwidth meter.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CastlabsBandwidthMeter` | `build()` |
    `CastlabsBandwidthMeter.Builder` | `setAlpha​(float alpha)` |
    `CastlabsBandwidthMeter.Builder` | `setBytesThreshold​(int bytesThreshold)` |
    `CastlabsBandwidthMeter.Builder` | `setDefaultBitrateEstimate​(long defaultBitrateEstimate)` |
    `CastlabsBandwidthMeter.Builder` | `setDownloadProgressListener​(com.castlabs.android.player.CastlabsBandwidthMeter.DownloadProgressListener downloadProgressListener)` |
    `CastlabsBandwidthMeter.Builder` | `setEstimateFraction​(float estimateFraction)` |
    `CastlabsBandwidthMeter.Builder` | `setMinSampledBytes​(long minSampledBytes)` |
    `CastlabsBandwidthMeter.Builder` | `setPercentile​(float percentile)` |
    `CastlabsBandwidthMeter.Builder` | `setPercentileWeight​(int percentileWeight)` |
    `CastlabsBandwidthMeter.Builder` | `setPlayerController​(PlayerController playerController)` |
    `CastlabsBandwidthMeter.Builder` | `setTimeThresholdMs​(int timeThresholdMs)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setBytesThreshold

          public CastlabsBandwidthMeter.Builder setBytesThreshold​(int bytesThreshold)

    - #### setTimeThresholdMs

          public CastlabsBandwidthMeter.Builder setTimeThresholdMs​(int timeThresholdMs)

    - #### setPercentileWeight

          public CastlabsBandwidthMeter.Builder setPercentileWeight​(int percentileWeight)

    - #### setPercentile

          public CastlabsBandwidthMeter.Builder setPercentile​(float percentile)

    - #### setAlpha

          public CastlabsBandwidthMeter.Builder setAlpha​(float alpha)

    - #### setMinSampledBytes

          public CastlabsBandwidthMeter.Builder setMinSampledBytes​(long minSampledBytes)

    - #### setDefaultBitrateEstimate

          public CastlabsBandwidthMeter.Builder setDefaultBitrateEstimate​(long defaultBitrateEstimate)

    - #### setEstimateFraction

          public CastlabsBandwidthMeter.Builder setEstimateFraction​(float estimateFraction)

    - #### setPlayerController

          public CastlabsBandwidthMeter.Builder setPlayerController​(PlayerController playerController)

    - #### setDownloadProgressListener

          public CastlabsBandwidthMeter.Builder setDownloadProgressListener​(@Nullable
                                                                            com.castlabs.android.player.CastlabsBandwidthMeter.DownloadProgressListener downloadProgressListener)

    - #### build

          public CastlabsBandwidthMeter build()